> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/it/knowledge-base/troubleshooting-articles/otp-issues.md).

# Problemi con OTP

Se l'OTP non funziona, controlli prima ***Chiave***, ***Intervallo di tempo***, ***Dimensione del codice*** e ***Algoritmo di hash***. Queste impostazioni devono corrispondere esattamente a quelle del sistema di origine.

{% hint style="info" %}
Un intervallo di tempo non corrispondente è una delle cause più comuni di errore OTP. Verifichi che l'orologio del dispositivo client sia sincronizzato correttamente prima di controllare le altre impostazioni.
{% endhint %}

#### Soluzioni comuni

* Reinserisca la ***Chiave*** OTP o la carichi dall'immagine del codice QR.
* Confermi che l'***Intervallo di tempo*** corrisponda a quello del provider in ***Proprietà – Avanzate*** della voce OTP.
* Verifichi la ***Dimensione del codice*** e l'***Algoritmo di hash*** in ***Proprietà – Avanzate*** della voce OTP.
* Se utilizza una voce, si assicuri che la relativa ***Origine***, situata in ***Proprietà – Password monouso***, sia impostata correttamente:
  * ***Collegata (cassaforte)*** per la voce OTP condivisa preferita.
  * ***Ereditata*** solo se anche ogni cartella principale utilizza ***Ereditata***.
  * ***Nessuna*** significa che non è associato alcun OTP.

#### Vedere anche

* [How to use OTP entry in Remote Desktop Manager](https://academy.devolutions.net/student/page/2584596-how-to-use-otp-entry-in-remote-desktop-manager?curriculum_activity_id=3969784\&path_id=2628397\&sid=10036cd3-e1cb-4cbc-a5bd-f3f891627512\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/rdm/it/knowledge-base/troubleshooting-articles/otp-issues.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
